import cmath, math, random, time

# 1.
res = divmod((round(cmath.phase(0.2+0.8j), 2) * 20), 3)
print(res)

# 2.
Msk = time.localtime()
print(Msk)

MSK1 = [Msk.tm_hour,Msk.tm_min] 
stroka = ",".join(map(str,MSK1))
print(stroka)

# 3.
Week = ["Пн","Вт","Ср","Чт","Пт","Сб","Вс"]
print(random.sample(Week, 3))
# 4.
row = [14, 17, 20, 23, 26, 29, 32]
hm = random.choice(row)
print(hm)

# 5.

G = round(random.gauss(15, 4))
29

Alph = ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z']
        
Spisok = random.sample(Alph, G)

print(Spisok)
['a', 'C', 'v', 'B', 'E', 'b', 'f', 'K', 'd', 'r', 'T', 'G', 'D', 'Q']
# 6.
endtime = time.time()
sttime = time.mktime(Msk)
razn = (endtime - sttime) /60
print(razn)
